Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class OracleSQLObject

    java.lang.Object
      com.sun.mdm.index.query.OracleSQLObject

public class OracleSQLObject
extends java.lang.Object

supports Oracle-specific queries

Constructor Summary
`OracleSQLObject()`

Method Summary
`(package private) static java.lang.String` | `createJoin(java.lang.String pTable, java.lang.String[] pk, java.lang.String sTable, java.lang.String[] fkey, boolean outerJoin)` forms Join clause.
`(package private) static java.lang.StringBuffer` | `createSQL(java.lang.StringBuffer selectbuf, java.lang.StringBuffer fromTable, java.lang.StringBuffer joinbuf, java.lang.StringBuffer conditionbuf, int maxRows, java.lang.String hint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleSQLObject

    public OracleSQLObject()

Method Detail

### createJoin

    static java.lang.String createJoin(java.lang.String pTable,
                                       java.lang.String[] pk,
                                       java.lang.String sTable,
                                       java.lang.String[] fkey,
                                       boolean outerJoin)

  forms Join clause. Use oracle specific syntax

  Parameters:
    `pTable` -
    `pk` -
    `sTable` -
    `fkey` -
    `outerJoin` - if true, use outer join
  Returns:
    join clause

### createSQL

    static java.lang.StringBuffer createSQL(java.lang.StringBuffer selectbuf,
                                            java.lang.StringBuffer fromTable,
                                            java.lang.StringBuffer joinbuf,
                                            java.lang.StringBuffer conditionbuf,
                                            int maxRows,
                                            java.lang.String hint)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.